# VertexPaint(Paint)

base classes — `bpy_struct`, `Paint`

class `bpy.types.``VertexPaint`(Paint)

  Properties of vertex and weight paint mode

  `use_group_restrict`

    Restrict painting to vertices in the group

    Type: | boolean, default False

  `use_normal`

    Apply the vertex normal before painting

    Type: | boolean, default False

  `use_spray`

    Keep applying paint effect while holding mouse

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Paint.brush` `Paint.palette` `Paint.show_brush` `Paint.show_brush_on_surface` `Paint.show_low_resolution` `Paint.input_samples` `Paint.use_symmetry_x` `Paint.use_symmetry_y` | `Paint.use_symmetry_z` `Paint.use_symmetry_feather` `Paint.cavity_curve` `Paint.use_cavity` `Paint.tile_offset` `Paint.tile_x` `Paint.tile_y` `Paint.tile_z`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ToolSettings.vertex_paint` | `ToolSettings.weight_paint`